com.corticon.eclipse.server.core

## Enum ICcServer.LogLevel

- java.lang.Object
- - java.lang.Enum<ICcServer.LogLevel>
  - - com.corticon.eclipse.server.core.ICcServer.LogLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ICcServer.LogLevel>
  Enclosing interface:
    ICcServer

      public static enum ICcServer.LogLevel
      extends java.lang.Enum<ICcServer.LogLevel>

  Log level enumeration to used control the logging level for the ICcServer instance.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `DEBUG`
    `ERROR`
    `INFO`
    `OFF`
    `TRACE`
    `WARN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ICcServer.LogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ICcServer.LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final ICcServer.LogLevel OFF

    - #### ERROR

          public static final ICcServer.LogLevel ERROR

    - #### WARN

          public static final ICcServer.LogLevel WARN

    - #### INFO

          public static final ICcServer.LogLevel INFO

    - #### DEBUG

          public static final ICcServer.LogLevel DEBUG

    - #### TRACE

          public static final ICcServer.LogLevel TRACE

    - #### ALL

          public static final ICcServer.LogLevel ALL

  - ### Method Detail

    - #### values

          public static ICcServer.LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ICcServer.LogLevel c : ICcServer.LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ICcServer.LogLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2005-2019 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.